function [ V, u_V ] = getVoltage( adcCount_raw, isVoltageDivided, isForCurrent )

    [ V, u_V ] = getUncalibratedVoltage( adcCount_raw );

    if ~isForCurrent
        [ V, u_V ] = getCalibratedVoltage( V, u_V );
    end

    if isVoltageDivided
        [ V, u_V ] = getMultipliedVoltage( V, u_V );
    end
end